
<br />
<div class="general_div_busqueda">
    <form action="resultado.php" onsubmit="return validarFormMedida()" method="GET" name="form_medida">
    	<div>
            <input name="diametro" id="diametro" type="text" value="" maxlength="10" style="font-size:18px;width:40%;" placeholder="<?php echo $diccionario['diametro']; ?>" />
            <input name="longitud" id="longitud" type="text" value="" maxlength="10" style="font-size:18px;width:40%;" placeholder="<?php echo $diccionario['longitud']; ?>" />
            <input id="tipo_pieza" name="tipo_pieza" value="Cruceta" type="hidden"/>
            
             <h6>
                     <?php
                        echo $diccionario['precision_requerida']; 
                     ?>
             </h6>
             <p>&nbsp;</p>
            <input  id="imageField" style="float:left" name="imageField" class="btn_buscar2" type="submit" value="Buscar" align="middle">
        </div>
    </form>
   
</div>
<script type="text/javascript">
    function validarFormMedida() {
        var diam = document.forms["form_medida"]["diametro"].value;
		var long = document.forms["form_medida"]["longitud"].value;
		if ((diam == null || diam == "" || diam <= 0) && (long == null || long == "" || long <= 0)){
		  	alert('<?php echo $diccionario['ingresar_al_menos_una_medida']; ?>');
		}
		else{
			diam = diam.replace(/,/g, '.');
			long = long.replace(/,/g, '.');
			var esDiametroNumero = isFinite(String(diam));
			var esLongitudNumero = isFinite(String(long));
			if ((esDiametroNumero && diam != null && diam != "" && diam > 0) || 
				esLongitudNumero && long != null && long != "" && long > 0){
				return true;
			}
			alert('<?php echo $diccionario['debe_ingresar_numeros']; ?>');
		}
		return false;
    }
</script>